Subject: Re: Can't build first git commit

From: Fabio Aiuto <[email-masked]>
Date: Wed, 06 Mar 2019 21:52:59 +0100

Found this error

Program received signal SIGSEGV, Segmentation fault.
0x00401628 in verify_hdr (hdr=0x0, size=32) at read-cache.c:192
192		if (hdr->signature != CACHE_SIGNATURE)

when tracing on line

static int verify_hdr(struct cache_header *hdr, unsigned long size)
{
	SHA_CTX c;
	unsigned char sha1[20];

	if (hdr->signature != CACHE_SIGNATURE)<--- this line

inside file read-cache.c
What's going on?

Il giorno mer, 06/03/2019 alle 15.03 -0500, Jeff King ha scritto:
> On Wed, Mar 06, 2019 at 08:58:40PM +0100, Fabio Aiuto wrote:
> 
> > Yes the fetch command wasn't written at that time, right? I didn't
> > understand why should be better to work with the git code from
> > github.
> > There's something I misunderstood?
> 
> I just mean that it is an interesting fact that modern Git and Git
> v1.0
> can still interact seamlessly over the network. I.e., you could still
> collaborate with somebody using an ancient version of Git (hopefully
> nobody is using v1.0, but logically it extends to all of the
> intermediate versions).
> 
> -Peff